Bug 1327030 - [RFE] Add extension point to Subnets form for Discovery Proxy
Summary: [RFE] Add extension point to Subnets form for Discovery Proxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Discovery Plugin
Version: 6.1.8
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Daniel Lobato Garcia
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-14 06:52 UTC by dgupte
Modified: 2020-07-16 08:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:34:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Discovery capsule in Subnet (24.89 KB, image/png)
2017-08-30 14:03 UTC, Daniel Lobato Garcia
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 14036 0 None None None 2016-04-26 17:02:59 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description dgupte 2016-04-14 06:52:19 UTC
Description of problem:

If we have multiple organization, every time the discovered host goes to the same organization unit and it ignores the organization information defined in subnet.

How reproducible:

Create a multiple organization, each organization has its own subnet or network address. So based on its subnet it should go to the correct unit automatically but it is getting discovered into first organization only and ignores organization defined in Subnet. 

Steps to Reproduce:

For ex.

Create three organizations, and assign only third organization to subnet.
provision host using foreman discovery image, provisioning host get discovered into first organization.

Actual results:
Discovered host goes to first organization and ignores organization specified in subnet.

Expected results:

Discovered host should go to the organization specified in subnet.


Additional info:

http://theforeman.org/plugins/foreman_discovery/5.0/#3.1.3OrganizationsandLocations

Is the below upstream bug related to this bz?

http://projects.theforeman.org/issues/14036

Comment 1 Lukas Zapletal 2016-04-15 08:39:47 UTC
Hello,

this will be fixed in Satellite 6.2. At least this will be implemented:

http://theforeman.org/plugins/foreman_discovery/5.0/#3.1.3OrganizationsandLocations

Note there is one limitation, if Subnet has multiple Org/Locs, it is choosen randomly. This will only work for Subnets with one Organization and/or Location. There is a ticket we are working on next sprint that should add an extra field to the Subnet page.

Comment 5 Bryan Kearney 2016-07-08 20:38:32 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 9 Bryan Kearney 2016-10-12 16:12:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/14036 has been resolved.

Comment 11 Lukas Zapletal 2017-05-24 07:17:32 UTC
QA notes: Verify Discovery Capsule can be set for a Subnet and it works.

Comment 12 Daniel Lobato Garcia 2017-08-30 14:02:30 UTC
Verified.

Tested with Satellite 6.3 - Snap 13.


See attached screenshot.

Comment 13 Daniel Lobato Garcia 2017-08-30 14:03:00 UTC
Created attachment 1320103 [details]
Discovery capsule in Subnet

Comment 16 errata-xmlrpc 2018-02-21 12:34:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.